<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--

IGAC proyecto SNC

@author			juan.agudelo
@version 		2.0
@description  	Página donde se muestra detalle de la información de la construcción
@cu 			CU-CO-V-03 Revisar proyección
@param 			predioUnidadConstruccionSeleccionado: predio con la información de las unidades 
                de construcción seleccionado
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:p="http://primefaces.org/ui"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        id="informacionConstruccionForm">

    <h:panelGrid
        rendered="#{not empty predioUnidadConstruccionSeleccionado}">
        <h:panelGrid columns="8" cellspacing="7">

            <h:outputLabel value="Unidad: " styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{predioUnidadConstruccionSeleccionado.unidad}" />

            <p:spacer height="0" width="7" />
            <h:outputLabel value="Uso unidad: " styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{predioUnidadConstruccionSeleccionado.usoConstruccion.nombre}" />

            <p:spacer height="0" width="7" />
            <h:outputLabel value="Tipo calificación: "
                           styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{predioUnidadConstruccionSeleccionado.tipoCalificacion}" />
        </h:panelGrid>

        <p:fieldset
            rendered="#{predioUnidadConstruccionSeleccionado.tipoConstruccion eq 'CONVENCIONAL'}">
            <legend>
                <h:outputText value="Construcciones convencionales"
                              styleClass="legendTitle" />
            </legend>

            <p:spacer height="7" width="0" />

            <p:dataTable var="consConv" rowKey="#{consConv.id}"
                         emptyMessage="No existe información sobre las unidades de construcción convencionales asociadas a la unidad."
                         value="#{predioUnidadConstruccionSeleccionado.unidadConstruccionCompsConv}">

                <p:column>
                    <f:facet name="header">  
                        Componente contruccion
                    </f:facet>
                    <h:outputText value="#{consConv.componente}" />
                </p:column>

                <p:column>
                    <f:facet name="header">  
                        Elemento calificación
                    </f:facet>
                    <h:outputText value="#{consConv.elementoCalificacion}" />
                </p:column>

                <p:column>
                    <f:facet name="header">  
                        Detalle calificación
                    </f:facet>
                    <h:outputText value="#{consConv.detalleCalificacion}" />
                </p:column>

                <p:column>
                    <f:facet name="header">  
                        Puntos
                    </f:facet>
                    <h:outputText value="#{consConv.puntos}" />
                </p:column>

            </p:dataTable>

            <p:spacer width="0" height="10" />
            <p:outputPanel layout="block" style="text-align:left">

                <h:panelGrid columns="2" cellspacing="7">
                    <h:outputLabel value="Total puntaje: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predioUnidadConstruccionSeleccionado.totalPuntaje}" />

                    <h:outputLabel value="Tipificación: " styleClass="outputLabelStyle" />
                    <h:panelGrid columns="2">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{predioUnidadConstruccionSeleccionado.tipificacion} - " />
                        <h:outputText styleClass="outputTextStyle" id = "UnidadConstruccionTipificacion"
                                      value="#{predioUnidadConstruccionSeleccionado.tipificacion}" >
                            <f:converter converterId="converterCB" for="UnidadConstruccionTipificacion" />
                        </h:outputText>
                    </h:panelGrid>
                </h:panelGrid>
            </p:outputPanel>

            <p:spacer width="0" height="10" />

            <p:fieldset>
                <legend>
                    <h:outputText value="Datos generales" styleClass="legendTitle" />
                </legend>

                <h:panelGrid columns="5" cellspacing="7">

                    <h:outputLabel value="Total pisos construcción: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predioUnidadConstruccionSeleccionado.totalPisosConstruccion}" />

                    <p:spacer height="0" width="7" />
                    <h:outputLabel value="Total baños: " styleClass="outputLabelStyle" />
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predioUnidadConstruccionSeleccionado.totalBanios}" />

                    <h:outputLabel value="Piso ubicacion unidad: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predioUnidadConstruccionSeleccionado.pisoUbicacion}" />

                    <p:spacer height="0" width="7" />
                    <h:outputLabel value="Total locales: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predioUnidadConstruccionSeleccionado.totalLocales}" />

                    <h:outputLabel value="Total pisos unidad: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predioUnidadConstruccionSeleccionado.totalPisosUnidad}" />

                    <p:spacer height="0" width="7" />
                    <h:outputLabel value="Área unidad construida: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predioUnidadConstruccionSeleccionado.areaConstruida}" />

                    <h:outputLabel value="Total habitaciones: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predioUnidadConstruccionSeleccionado.totalHabitaciones}" />

                    <p:spacer height="0" width="7" />
                    <h:outputLabel value="Año construcción: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{predioUnidadConstruccionSeleccionado.anioConstruccion}" />

                </h:panelGrid>
            </p:fieldset>
        </p:fieldset>

        <p:spacer height="10" width="0" />

        <p:fieldset
            rendered="#{predioUnidadConstruccionSeleccionado.tipoConstruccion eq 'NO CONVENCIONAL'}">
            <legend>
                <h:outputText value="Construcciones no convenccionales"
                              styleClass="legendTitle" />
            </legend>

            <p:dataTable var="consNoConv" rowKey="#{consNoConv.id}"
                         emptyMessage="No existen unidades de construcción no convencionales asociadas a la unidad."
                         value="#{predioUnidadConstruccionSeleccionado}">

                <p:column>
                    <f:facet name="header">  
                        Descripción contruccion
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle" id="DescripcionUnidadV"
                                  value="#{consNoConv.calificacionAnexoId}">
                        <f:converter converterId="converterCB" for="DescripcionUnidadV" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">  
                        Puntos/Tipo
                    </f:facet>
                    <h:outputText
                        value="#{consNoConv.totalPuntaje}" />
                </p:column>

                <p:column>
                    <f:facet name="header">  
                        Dimensión
                    </f:facet>
                    <h:outputText
                        value="#{consNoConv.areaConstruida}" />
                </p:column>

                <p:column>
                    <f:facet name="header">  
                        Unidad
                    </f:facet>
                    <h:outputText value="#{consNoConv.unidad}" />
                </p:column>

            </p:dataTable>
        </p:fieldset>

        <p:spacer height="7" width="0" />

        <h:outputLabel value="Observaciones: " styleClass="outputLabelStyle" />
        <h:outputText styleClass="outputBigTextStyle"
                      value="#{predioUnidadConstruccionSeleccionado.observaciones}" />
    </h:panelGrid>

    <p:spacer height="13" width="0" />

</h:form>
